boost::geometry::strategy::buffer::join_miter Class Reference
strategies: strategies

Let the buffer create sharp corners. More...

List of all members.

## Public Member Functions

| join_miter (double miter_limit=5.0)
| Constructs the strategy.

## Detailed Description

Let the buffer create sharp corners.

This strategy can be used as JoinStrategy for the buffer algorithm. It creates a sharp corners around each convex vertex. It can be applied for (multi)linestrings and (multi)polygons. If corners are sharp by themselves, the miters might become very long. Therefore there is a limit (miter_limit), in terms of the used distance, which limits their length. The miter is not changed to a bevel form (as done in some other software), it is just adapted to the specified miter_limit but keeps its miter form. If the buffer distance is 5.0, and the miter limit is 2.0, generated points will be located at a distance of at most 10.0 (2*5) units. This strategy is only applicable for Cartesian coordinate systems.

## Constructor & Destructor Documentation

boost::geometry::strategy::buffer::join_miter::join_miter | ( | double | miter_limit = `5.0` | ) | `[explicit]`

Constructs the strategy.

Parameters:

  miter_limit | The miter limit, to avoid excessively long miters around sharp corners

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK